# Regenerate All Captions Regenerate captions for all images in dataset. This action is crucial after the user updates the visual schema or caption_prefix, and then it's recommended to regenerate all the captions of all images, to have full compatibility with the new visual schema or caption_prefix. This is an asynchronous operation. Once this endpoint is called, Get Dataset by ID should be sampled until the captions_update_status changes to 'completed'. Endpoint: PUT /tailored-gen/datasets/{dataset_id}/images ## Path parameters: - `dataset_id` (integer, required) Dataset ID ## Header parameters: - `api_token` (string, required) ## Response 202 fields (application/json): - `id` (integer) Unique identifier for the dataset - `project_id` (integer) Associated project ID - `name` (string) Dataset name - `training_version` (string) The foundation model version this dataset targets (e.g., 'fibo', 'max'). Enum: "max", "light", "3.2", "2.3", "fibo" - `caption_prefix` (string,null) Text prepended to captions. * For training_version = max/light/3.2/2.3: Required string. * For training_version = fibo: Null. - `status` (string) Status of the dataset Enum: "draft", "completed" - `captions_update_status` (string) Status of captions update process Enum: "empty", "in_progress", "completed" - `created_at` (string) Timestamp when the dataset was created - `updated_at` (string) Timestamp when the dataset was last updated ## Response 401 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields